
### onChange
- type: (angle: number) => void
- description: Callback function called on value change.
### onPointerDown
- type: () => void
- description: Defines a callback function which will be called when onpointerdown is triggered.
### onPointerUp
- type: () => void
- description: Defines a callback function which will be called when onpointerup is triggered.
### onFocus
- type: () => void
- description: Optional callback for focus event.
### onBlur
- type: () => void
- description: Optional callback for blur event.
### dataHook
- type: string
- description: Applies a data-hook HTML attribute that can be used in the tests.
### value
- type: number
- description: The current value of the angle.
### disabled
- type: boolean
- description: Indicates if the slider is disabled.
- default: false
### step
- type: number
- description: Defines step increments for angle adjustment.
- default: 1

